net.sf.jasperreports.charts.design

## Class JRDesignPie3DPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBasePie3DPlot
    - - net.sf.jasperreports.charts.design.JRDesignPie3DPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPie3DPlot, JRChangeEventsSupport, JRChartPlot, JRCloneable

      public class JRDesignPie3DPlot
      extends JRBasePie3DPlot

  Version:
    $Id: JRDesignPie3DPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBasePie3DPlot

      `circular, depthFactorDouble, itemLabel, labelFormat, legendLabelFormat, PROPERTY_CIRCULAR, PROPERTY_DEPTH_FACTOR, PROPERTY_ITEM_LABEL, PROPERTY_LABEL_FORMAT, PROPERTY_LEGEND_LABEL_FORMAT, PROPERTY_SHOW_LABELS, showLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRPie3DPlot

      `DEPTH_FACTOR_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignPie3DPlot(JRChartPlot pie3DPlot, JRChart chart)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBasePie3DPlot

      `clone, collectExpressions, getCircular, getDepthFactorDouble, getItemLabel, getLabelFormat, getLegendLabelFormat, getShowLabels, setCircular, setDepthFactor, setItemLabel, setLabelFormat, setLegendLabelFormat, setShowLabels`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRDesignPie3DPlot

          public JRDesignPie3DPlot(JRChartPlot pie3DPlot,
                           JRChart chart)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com